## libsvm 2.82.0

=== python/Makefile ===
CC = g++
SWIG ?= swig

#Windows: see ../README ../Makefile.win
PYTHON_INCLUDEDIR ?= /usr/include/python2.4

CFLAGS = -O3 -I$(PYTHON_INCLUDEDIR) -I..
LDFLAGS = -shared

all: svmc.so

svmc.so: svmc_wrap.o svm.o
	$(CC) $(LDFLAGS) -o svmc.so svmc_wrap.o svm.o

svmc_wrap.o: svmc_wrap.c ../svm.h
	$(CC) $(CFLAGS) -fPIC -c svmc_wrap.c

svmc_wrap.c: svmc.i
	$(SWIG) -python -noproxy svmc.i

svm.o: ../svm.cpp ../svm.h
	$(CC) $(CFLAGS) -fPIC -c ../svm.cpp

clean:
	rm -f *~ *.o *.so *.pyc *.pyo svm.o

moreclean:	clean
	rm -f svmc_wrap.c

## libsvm 2.84.0

=== Makefile ===
CXXC = g++
CFLAGS = -Wall -O3 

all: svm-train svm-predict svm-scale

svm-predict: svm-predict.c svm.o
	$(CXXC) $(CFLAGS) svm-predict.c svm.o -o svm-predict -lm
svm-train: svm-train.c svm.o
	$(CXXC) $(CFLAGS) svm-train.c svm.o -o svm-train -lm
svm-scale: svm-scale.c
	$(CXXC) $(CFLAGS) svm-scale.c -o svm-scale
svm.o: svm.cpp svm.h
	$(CXXC) $(CFLAGS) -c svm.cpp
clean:
	rm -f *~ svm.o svm-train svm-predict svm-scale

=== java/Makefile ===
.SUFFIXES: .class .java
FILES =	libsvm/svm.class libsvm/svm_model.class libsvm/svm_node.class \
	libsvm/svm_parameter.class libsvm/svm_problem.class \
	svm_train.class svm_predict.class svm_toy.class

#JAVAC = jikes
#JAVAC_FLAGS = -target 1.1 -source 1.3
JAVAC = javac
JAVAC_FLAGS =

all: $(FILES)
	jar cvf libsvm.jar *.class libsvm/*.class

.java.class:
	$(JAVAC) $(JAVAC_FLAGS) $<

libsvm/svm.java: libsvm/svm.m4
	m4 libsvm/svm.m4 > libsvm/svm.java

clean:
	rm -f libsvm/*.class *.class *.jar libsvm/*~ *~ libsvm/svm.java

dist: clean all
	rm *.class libsvm/*.class

=== python/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 CFLAGS = -O3 -I$(PYTHON_INCLUDEDIR) -I..
 LDFLAGS = -shared
+# Mac OS
+# LDFLAGS = -framework Python -bundle
 
 all: svmc.so

=== svm-toy/gtk/Makefile ===
CC = gcc
CXXC = g++
CFLAGS = -Wall -O3 -g `gtk-config --cflags`
LIBS = `gtk-config --libs`

svm-toy: main.o interface.o callbacks.o ../../svm.o
	$(CXXC) $(CFLAGS) main.o interface.o callbacks.o ../../svm.o -o svm-toy $(LIBS)

main.o: main.c
	$(CC) $(CFLAGS) -c main.c

interface.o: interface.c interface.h
	$(CC) $(CFLAGS) -c interface.c

callbacks.o: callbacks.cpp callbacks.h
	$(CXXC) $(CFLAGS) -c callbacks.cpp

../../svm.o:
	cd ../..; make svm.o

clean:
	rm -f *~ callbacks.o svm-toy main.o interface.o callbacks.o ../../svm.o

=== svm-toy/qt/Makefile ===
CXXC = g++
CFLAGS = -Wall -O3 -DQT_THREAD_SUPPORT
BIN = $(QTDIR)/bin
INCLUDE = $(QTDIR)/include
LIB = $(QTDIR)/lib
#BIN = /usr/bin
#INCLUDE = /usr/include/qt3
#LIB = /usr/lib/qt3

svm-toy: svm-toy.cpp svm-toy.moc ../../svm.o
	$(CXXC) -I$(INCLUDE) $(CFLAGS) svm-toy.cpp ../../svm.o -o svm-toy -L$(LIB) -lqt-mt 
# add -pthread for bsd

svm-toy.moc: svm-toy.cpp
	$(BIN)/moc svm-toy.cpp -o svm-toy.moc
../../svm.o:
	cd ../..; make svm.o
clean:
	rm -f *~ svm-toy svm-toy.moc ../../svm.o

## libsvm 2.85.0

=== Makefile ===
CXX? = g++
CFLAGS = -Wall -O3 

all: svm-train svm-predict svm-scale

svm-predict: svm-predict.c svm.o
	$(CXX) $(CFLAGS) svm-predict.c svm.o -o svm-predict -lm
svm-train: svm-train.c svm.o
	$(CXX) $(CFLAGS) svm-train.c svm.o -o svm-train -lm
svm-scale: svm-scale.c
	$(CXX) $(CFLAGS) svm-scale.c -o svm-scale
svm.o: svm.cpp svm.h
	$(CXX) $(CFLAGS) -c svm.cpp
clean:
	rm -f *~ svm.o svm-train svm-predict svm-scale

=== java/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 	svm_train.class svm_predict.class svm_toy.class
 
 #JAVAC = jikes
-#JAVAC_FLAGS = -target 1.1 -source 1.3
+JAVAC_FLAGS = -target 1.5 -source 1.5
 JAVAC = javac
-JAVAC_FLAGS =
+# JAVAC_FLAGS =
 
 all: $(FILES)
 	jar cvf libsvm.jar *.class libsvm/*.class

=== python/Makefile ===
CXX? = g++
SWIG ?= swig

#Windows: see ../README ../Makefile.win
PYTHON_INCLUDEDIR ?= /usr/include/python2.4

CFLAGS = -O3 -I$(PYTHON_INCLUDEDIR) -I..
LDFLAGS = -shared
# Mac OS
# LDFLAGS = -framework Python -bundle

all: svmc.so

svmc.so: svmc_wrap.o svm.o
	$(CXX) $(LDFLAGS) -o svmc.so svmc_wrap.o svm.o

svmc_wrap.o: svmc_wrap.c ../svm.h
	$(CXX) $(CFLAGS) -fPIC -c svmc_wrap.c

svmc_wrap.c: svmc.i
	$(SWIG) -python -noproxy svmc.i

svm.o: ../svm.cpp ../svm.h
	$(CXX) $(CFLAGS) -fPIC -c ../svm.cpp

clean:
	rm -f *~ *.o *.so *.pyc *.pyo svm.o

moreclean:	clean
	rm -f svmc_wrap.c

=== svm-toy/qt/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CXXC = g++
+CXX? = g++
 CFLAGS = -Wall -O3 -DQT_THREAD_SUPPORT
 BIN = $(QTDIR)/bin
 INCLUDE = $(QTDIR)/include
@@ -8,7 +8,7 @@
 #LIB = /usr/lib/qt3
 
 svm-toy: svm-toy.cpp svm-toy.moc ../../svm.o
-	$(CXXC) -I$(INCLUDE) $(CFLAGS) svm-toy.cpp ../../svm.o -o svm-toy -L$(LIB) -lqt-mt 
+	$(CXX) -I$(INCLUDE) $(CFLAGS) svm-toy.cpp ../../svm.o -o svm-toy -L$(LIB) -lqt-mt 
 # add -pthread for bsd
 
 svm-toy.moc: svm-toy.cpp

## libsvm 2.89

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 CXX? = g++
-CFLAGS = -Wall -O3 
+CFLAGS = -Wall -Wconversion -O3 -fPIC
+SHVER = 1
 
 all: svm-train svm-predict svm-scale
+
+lib: svm.o
+	$(CXX) -shared svm.o -o libsvm.so.$(SHVER)
 
 svm-predict: svm-predict.c svm.o
 	$(CXX) $(CFLAGS) svm-predict.c svm.o -o svm-predict -lm

=== python/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SWIG ?= swig
 
 #Windows: see ../README ../Makefile.win
-PYTHON_INCLUDEDIR ?= /usr/include/python2.4
+PYTHON_INCLUDEDIR ?= /usr/include/python2.5
 
 CFLAGS = -O3 -I$(PYTHON_INCLUDEDIR) -I..
 LDFLAGS = -shared

## libsvm 2.91

=== Makefile ===
CXX ?= g++
CFLAGS = -Wall -Wconversion -O3 -fPIC
SHVER = 1

all: svm-train svm-predict svm-scale

lib: svm.o
	$(CXX) -shared -dynamiclib svm.o -o libsvm.so.$(SHVER)

svm-predict: svm-predict.c svm.o
	$(CXX) $(CFLAGS) svm-predict.c svm.o -o svm-predict -lm
svm-train: svm-train.c svm.o
	$(CXX) $(CFLAGS) svm-train.c svm.o -o svm-train -lm
svm-scale: svm-scale.c
	$(CXX) $(CFLAGS) svm-scale.c -o svm-scale
svm.o: svm.cpp svm.h
	$(CXX) $(CFLAGS) -c svm.cpp
clean:
	rm -f *~ svm.o svm-train svm-predict svm-scale libsvm.so.$(SHVER)

=== python/Makefile ===
all = lib

lib: ../svm.cpp ../svm.h
	cd ..; make lib; cd -

## libsvm 3.0

=== debian/changelog ===
libsvm (3.0-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 02 Mar 2011 09:32:21 -0500

libsvm (3.0-1) unstable; urgency=low
  
  [Chen-Tse Tsai]
  * New upstream release.
    - Moved the model structure to svm.h and changed the function
      which destroys the model.
    - Added description warns that the new python interface 
      is incompatible with the previous version 2. (Closes: #594251)
  [Steffen Moeller]
  * Changed to source format 3.0 (quilt).
  * Allowing repeated invocations of dpkg-buildpackage

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Sun, 10 Oct 2010 10:55:41 +0800

libsvm (2.91-2) unstable; urgency=low
  
  * Fixed the preinst script of python-libsvm. (Closes: #583737)
  * Fixed the man page of svm-predict. (Closes: #590275)
  * Fixed python string exception problems of libsvm-tools. (Closes: #585245)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Fri, 6 Aug 2010 03:03:41 +0800

libsvm (2.91-1) unstable; urgency=low
  
  * New upstream release.
  * Changed python-libsvm to the new python interface
    provided by upstream.

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Fri, 10 Apr 2010 12:00:44 +0800

libsvm (2.90-1) unstable; urgency=low
  
  * New upstream release.
  * Fixed dependency of python-libsvm. (Closes: #548401)
  * Fixed python-libsvm building problem and migrated 
    from python-central to python-support. 
    Thanks to Sandro Tosi. (Closes: #557339)
  * Moved the tools in examples/tools/ of python-libsvm to 
    libsvm-tools and provided manual pages for them.
  * Made libsvm2 depend on the latest libsvm-dev. (Closes: #527805)
  * Rebuild .jar from source. Thanks to gregor herrmann. (Closes: #558575)
  * Removed libsvm.pc from libsvm-dev.

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Fri, 4 Dec 2009 21:00:44 +0800

libsvm (2.89-1) unstable; urgency=low

  * New upstream release.
  * Changed version number to consistent with upstream.
  * Changed examples of libsvm-dev.
  * Removed debian/patches/verbosity-adjust.diff and osx-support.diff.

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 01 Apr 2009 15:46:44 +0800

libsvm (2.88.0-5) unstable; urgency=low

  * New maintainer. (Closes: #517447)
  * Fixed long description of Java package. (Closes: #518141)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 04 Mar 2009 23:39:03 +0800

libsvm (2.88.0-4) unstable; urgency=low

  * Made Java package architecture all instead of architecture any.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 09 Feb 2009 21:53:59 -0800

libsvm (2.88.0-2) unstable; urgency=low

  * Added new libsvm2-java binary package.  (Closes: #514502)

 -- Rudi Cilibrasi <cilibrar@debian.org>  Mon, 09 Feb 2009 20:58:52 -0800

libsvm (2.88.0-1) unstable; urgency=low

  * New upstream release.       (Closes: #476534)
  * Switched to quilt patch management system, updated patches for v. 2.88.
  * Fixed new Build-Depends and Depends problems.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Sun, 08 Feb 2009 21:39:45 -0800

libsvm (2.85.0-1) unstable; urgency=low

  * New upstream release.

 -- Rudi Cilibrasi <cilibrar@debian.org>  Fri, 28 Dec 2007 22:15:04 -0800

libsvm (2.84.0-3) unstable; urgency=low

  * Added support for Python 2.5. (Closes: #445386)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Fri, 26 Oct 2007 17:45:17 -0700

libsvm (2.84.0-2) unstable; urgency=low

  * Verbosity option for python.  Thanks to Michael Hanke. (Closes: #439112)
  * Updated Build-Depends and Depends and clarified package authorship.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 03 Oct 2007 17:49:09 -0700

libsvm (2.84.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed clean target. (Closes: #424537)
  * Added -q quiet option to svm-train and svm-predict to
    suppress diagnostic messages. (Closes: #412531)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Fri, 20 Apr 2007 11:21:59 +0200

libsvm (2.82.0-4) unstable; urgency=low

  * Fixed broken doc examples in python-libsvm.  (thanks to Michael Hanke)
  * Added many more docs from orig.tar. (Closes: #405273)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 10 Jan 2007 20:10:45 +0100

libsvm (2.82.0-3) unstable; urgency=low

  * Minimized depends and build-depends, and simplified Python versions.
  * Python version 2.3 support has been removed. (Closes: #403347)
  * Many small packaging improvements related to Debian Python policy.
  * Thanks to Matthias Klose, Petr Salinger, and the Debian Installer daemon
    for lots of help with this release. (Closes: #403751)

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 20 Dec 2006 13:57:45 +0100

libsvm (2.82.0-2) unstable; urgency=low

  * Added g++-4.0 to Build-Depends.

 -- Rudi Cilibrasi <cilibrar@cilibrar.com>  Wed, 18 Oct 2006 16:10:24 +0200

libsvm (2.82.0-1) unstable; urgency=low

  * 2.82.0-1
  * Initial release. (Closes: #379051)  This package will be a
    sponsored upload by Paul van Tilburg and owes him thanks for
    valuable suggestions.
  * This release also closes: #379051.
  * Made Python interface work.  Thank to Yarik for help with this.
  * Made version numbers and SONAME to be more consistent, modern, and clean.
  * Thanks to Yarik (Yaroslav Halchenko <debian@onerussian.com>) for
    help with the version/SONAME fix.
  * Fixed some minor documentation issues.
  * Adjusted watch file and versioning scheme to follow upstream better.
  * Fixed libsvm.pc description.
  * Clarified debian/copyright.
  * Moved -dev package sections to libdevel.
  * Manual pages moved to debian/ subdir.
  * Simplified external Debian packaging.
  * Merged libsvm-doc stuff into libsvm2 package and got rid of -doc package.
  * Minor packaging adjustments prior to first official upload.
  * Switched to CDBS.


=== debian/control ===
Source: libsvm
Section: devel
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
XS-Python-Version: all
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libtool, cdbs, python-all-dev (>= 2.3.5-7), python-support (>= 0.90), default-jdk-builddep
Standards-Version: 3.9.1.0
Homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm/

Package: libsvm3
Architecture: any
Section: libs
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: library implementing support vector machines
 The LIBSVM library is used to calculate Support Vector Machine optimizations
 with a great variety of powerful options.  It includes one-class, two-class,
 multiclass, regression-mode, and probablistic output functionality.  It is
 primarily of interest to machine-learning researchers and artificial
 intelligence application developers.

Package: libsvm-tools
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gnuplot
Description: The LIBSVM binary tools
 LIBSVM is an easy-to-use package for support vector classification,
 regression and one-class SVM. It supports multi-class classification,
 probability outputs, and parameter selection.
 LIBSVM homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm

Package: libsvm-dev
Architecture: any
Section: libdevel
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, libsvm3 (=${binary:Version})
Description: The LIBSVM header files
 These are the header files for LIBSVM, a machine-learning library.

Package: python-libsvm
Architecture: any
Section: python
Depends: neurodebian-popularity-contest, libsvm3(=${binary:Version}), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface for support vector machine library
 Python interface for the LIBSVM library using ctypes. This new python interface 
 is provided since 2.91, and it is incompatible with the old one.


Package: libsvm3-java
Architecture: all
Section: java
Depends: neurodebian-popularity-contest, gij | java-gcj-compat | java1-runtime | java2-runtime, ${misc:Depends}
Conflicts: libsvm2-java (<= 2.91-2)
Suggests: java-virtual-machine
Description: Java API to support vector machine library
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.

Package: libsvm-java
Architecture: all
Section: java
Depends: neurodebian-popularity-contest, libsvm3-java, ${misc:Depends}
Description: Java API to support vector machine library
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.
 .
 This package solely provides a symbolic link from svm.jar svm3.jar.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/python/python.mk

# install examples
DEB_INSTALL_EXAMPLES_libsvm-dev = svm-train.c svm-predict.c
DEB_INSTALL_EXAMPLES_libsvm-tools = heart_scale
#DEB_INSTALL_EXAMPLES_python-libsvm = python/svm_test.py python/cross_validation.py python/test_cross_validation.py

# install documents
DEB_INSTALL_DOCS_libsvm-dev = FAQ.html README
DEB_INSTALL_DOCS_libsvm-tools = FAQ.html
DEB_INSTALL_DOCS_python-libsvm = python/README

# install manpages
DEB_INSTALL_MANPAGES_libsvm-tools = debian/doc/svm-train.1 debian/doc/svm-predict.1 debian/doc/svm-scale.1 debian/doc/svm-grid.1 debian/doc/svm-subset.1 debian/doc/svm-checkdata.1 debian/doc/svm-easy.1

# use pysupport to install files of python-libsvm
#PYVERS=$(shell pyversions -vs)
LVER=3
LSUBVER=0
SOVER=$(LVER).$(LSUBVER)
LIBFILE=libsvm.so.$(SOVER)
CXX ?= g++
CFLAGS = -Wall -Wconversion -O3
LIBFLAGS = -fPIC

build: svm-train svm-predict svm-scale $(LIBFILE) .javastuff chname

.javastuff:
	$(MAKE) -C java
	touch $@

$(LIBFILE): svm.o
	$(CXX) -shared -Wl,-soname,libsvm.so.$(LVER) -o $(LIBFILE) svm.o -lm && \
	ln -s $(LIBFILE) libsvm.so.$(LVER) && \
	ln -s libsvm.so.$(LVER) libsvm.so

svm-predict: svm-predict.c svm.o
	$(CXX) $(CFLAGS) svm-predict.c svm.o -o svm-predict -lm
svm-train: svm-train.c svm.o
	$(CXX) $(CFLAGS) svm-train.c svm.o -o svm-train -lm
svm-scale: svm-scale.c
	$(CXX) $(CFLAGS) svm-scale.c -o svm-scale
svm.o: svm.cpp svm.h
	$(CXX) $(LIBFLAGS) $(CFLAGS) -c svm.cpp

#	touch $@
#build-python%:
#	cd python && \
#	python$* setup.py build
#	touch $@

chname: 
	cp tools/checkdata.py tools/svm-checkdata
	cp tools/easy.py tools/svm-easy
	cp tools/grid.py tools/svm-grid
	cp tools/subset.py tools/svm-subset
	sed -i 's/..\/svm-train/\/usr\/bin\/svm-train/g' tools/svm-*
	sed -i 's/..\/svm-predict/\/usr\/bin\/svm-predict/g' tools/svm-*
	sed -i 's/..\/svm-scale/\/usr\/bin\/svm-scale/g' tools/svm-*
	sed -i 's/.\/grid.py/\/usr\/bin\/svm-grid/g' tools/svm-easy
	sed -i 's/"get no rate"/RuntimeError("get no rate")/g' tools/svm-grid
	touch $@

#install: $(PYVERS:%=install-python%)
#install-python%:
#	cd python && \
#	install -o root -g root -m 644 \
#	svm.py svmutil.py \
#	python-libsvm
#	python$* setup.py install --no-compile \
#	--install-layout=deb \
#	--root=../debian/python-libsvm 

binary-install/libsvm3-java:: 
	cp java/libsvm.jar $(CURDIR)/debian/libsvm3-java/usr/share/java/libsvm3.jar

binary-install/python-libsvm:: 
	dh_pysupport -ppython-libsvm
binary-install/libsvm-tools::
	dh_pysupport -plibsvm-tools

clean::
	$(MAKE) distclean
	rm -f chname .javastuff tools/svm-*

## libsvm 3.12

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,17 @@
 CXX ?= g++
 CFLAGS = -Wall -Wconversion -O3 -fPIC
-SHVER = 1
+SHVER = 2
+OS = $(shell uname)
 
 all: svm-train svm-predict svm-scale
 
 lib: svm.o
-	$(CXX) -shared -dynamiclib svm.o -o libsvm.so.$(SHVER)
+	if [ "$(OS)" = "Darwin" ]; then \
+		SHARED_LIB_FLAG="-dynamiclib -W1,-install_name,libsvm.so.$(SHVER)"; \
+	else \
+		SHARED_LIB_FLAG="-shared -W1,-soname,libsvm.so.$(SHVER)"; \
+	fi; \
+	$(CXX) $${SHARED_LIB_FLAG} svm.o -o libsvm.so.$(SHVER)
 
 svm-predict: svm-predict.c svm.o
 	$(CXX) $(CFLAGS) svm-predict.c svm.o -o svm-predict -lm

=== debian/changelog ===
libsvm (3.12-1) unstable; urgency=low

  * New upstream release
  * Remove patchsys-quilt.mk and upgrade to packaging format "3.0 quilt".
  (Closes: #667791)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Change obsolete depends default-jdk-builddep to default-jdk. 
  (Closes: #669223)
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix extended-description-is-probably-too-short (Lintian).
  * Fix needless-dependency-on-jre (Lintian).
  * Fix capitalization-error-in-description Python (Lintian).
  * Fix duplicate-short-description (Lintian).
  * Add build-arch and build-indep rules. (Closes: #673215)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Mon, 11 Jun 2012 16:14:24 +0800

libsvm (3.1-1) unstable; urgency=low
  
  * New upstream release.
  * Removed the versioned name of directory under /usr/include/
  	since different version of libsvm-dev cannot be co-installed. (Closes: #608851)

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 6 Apr 2011 17:45:42 +0800

=== debian/control ===
Source: libsvm
Section: devel
Priority: optional
Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
XS-Python-Version: all
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), autotools-dev, libtool, cdbs, python-all-dev (>= 2.3.5-7), python-support (>= 0.90), default-jdk
Standards-Version: 3.9.3
Homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm/

Package: libsvm3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library implementing support vector machines
 The LIBSVM library is used to calculate Support Vector Machine optimizations
 with a great variety of powerful options.  It includes one-class, two-class,
 multiclass, regression-mode, and probablistic output functionality.  It is
 primarily of interest to machine-learning researchers and artificial
 intelligence application developers.

Package: libsvm-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gnuplot
Description: LIBSVM binary tools
 LIBSVM is an easy-to-use package for support vector classification,
 regression and one-class SVM. It supports multi-class classification,
 probability outputs, and parameter selection.
 LIBSVM homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm

Package: libsvm-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libsvm3 (=${binary:Version})
Description: LIBSVM header files
 LIBSVM, a machine-learning library, is an easy-to-use package for 
 support vector classification, regression and one-class SVM. It 
 supports multi-class classification, probability outputs, and 
 parameter selection.
 .
 This package contains the development header files.

Package: python-libsvm
Architecture: any
Section: python
Depends: libsvm3(=${binary:Version}), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface for support vector machine library
 Python interface for the LIBSVM library using ctypes. This new Python 
 interface is provided since 2.91, and it is incompatible with the old 
 one.

Package: libsvm3-java
Architecture: all
Section: java
Depends: ${misc:Depends}
Conflicts: libsvm2-java 
Suggests: java-virtual-machine
Description: Java API to support vector machine library (libsvm3.jar)
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.

Package: libsvm-java
Architecture: all
Section: java
Depends: libsvm3-java, ${misc:Depends}
Description: Java API to support vector machine library (libsvm.jar)
 The functionality of the libsvm are offered in a single jar file. It includes 
 one-class, two-class, multiclass, regression-mode, and probablistic output 
 functionality.
 .
 This package solely provides a symbolic link from libsvm.jar libsvm3.jar.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 #include /usr/share/cdbs/1/class/makefile.mk
 #include /usr/share/python/python.mk
 
@@ -21,18 +20,19 @@
 # use pysupport to install files of python-libsvm
 #PYVERS=$(shell pyversions -vs)
 LVER=3
-LSUBVER=0
+LSUBVER=12
 SOVER=$(LVER).$(LSUBVER)
 LIBFILE=libsvm.so.$(SOVER)
 CXX ?= g++
 CFLAGS = -Wall -Wconversion -O3
 LIBFLAGS = -fPIC
 
-build: svm-train svm-predict svm-scale $(LIBFILE) .javastuff chname
+build: build-arch build-indep
+build-arch: svm-train svm-predict svm-scale $(LIBFILE) chname
+build-indep: .javastuff
 
 .javastuff:
 	$(MAKE) -C java
-	touch $@
 
 $(LIBFILE): svm.o
 	$(CXX) -shared -Wl,-soname,libsvm.so.$(LVER) -o $(LIBFILE) svm.o -lm && \
@@ -64,7 +64,6 @@
 	sed -i 's/..\/svm-scale/\/usr\/bin\/svm-scale/g' tools/svm-*
 	sed -i 's/.\/grid.py/\/usr\/bin\/svm-grid/g' tools/svm-easy
 	sed -i 's/"get no rate"/RuntimeError("get no rate")/g' tools/svm-grid
-	touch $@
 
 #install: $(PYVERS:%=install-python%)
 #install-python%:
@@ -85,5 +84,7 @@
 	dh_pysupport -plibsvm-tools
 
 clean::
-	$(MAKE) distclean
-	rm -f chname .javastuff tools/svm-*
+	$(MAKE) clean
+	find . -name "*.class" | xargs -r rm
+	find . -name "*.jar" | xargs -r rm
+	rm -f libsvm.so libsvm.so.$(LVER) libsvm.so.$(LVER).$(LSUBVER) tools/svm-*

## libsvm 3.21+ds

=== debian/changelog ===
libsvm (3.21+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/libsvm3.triggers:
    - Fix typo: activate-nowait -> activate-noawait.  (Closes: #832075)

 -- Olly Betts <olly@survex.com>  Sat, 30 Jul 2016 15:18:16 +1200

libsvm (3.21+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #824032)
  * Acknowledge NMU. Thanks, Andrey.
  * debian/control:
    - Removed obsolete DM-Upload-Allowed
    - Updated the Standards-Version to 3.9.8 (no changes needed)
    - Changed XS-Python-Version to X-Python-Version
    - Changed the architecture of python-libsvm to all
    - Make python-libsvm, depending on arch:any, binNMUable
    - Removed duplicated Homepage description. (Closes: #693889)
    - Removed autotools-dev from Build-Depends
    - Changed python-all-dev to python-all in Build-Depends
  * debian/rules:
    - Added hardening support using dpkg-buildflags
  * Added patch improve-option-parsing.patch.
    It improves option parsing in svm-train.c, svm-predict.c,
    and svm-scale.c. (Closes: #716362, Closes: #716363) 
  * debian/copyright:
    - Changed the copyright file to machine-readable format 1.0
    - Added missing copyright attribution for tools/checkdata.py
  * Replaced libsvm3.postinst with libsvm3.triggers
  * Fixed some typos in the man page of svm-checkdata
  * Added a watch file
  * Removed Windows binary files and the pre-built jar (Closes: #823880)
  * Thanks to Christian for advising many packaging details.  

 -- Chen-Tse Tsai <ctse.tsai@gmail.com>  Wed, 20 Jul 2016 12:50:24 -0500

libsvm (3.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786206)

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 29 Aug 2015 20:00:43 +0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Chen-Tse Tsai <ctse.tsai@gmail.com>
-XS-Python-Version: all
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), autotools-dev, libtool, cdbs, python-all-dev (>= 2.3.5-7), python-support (>= 0.90), default-jdk
-Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
+Build-Depends: 
+	debhelper (>= 9), 
+	libtool, 
+	cdbs, 
+	python-all (>= 2.3.5-7), 
+	dh-python, 
+	default-jdk
+Standards-Version: 3.9.8
 Homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm/
 
 Package: libsvm3
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: 
+	${shlibs:Depends}, 
+	${misc:Depends}
 Description: library implementing support vector machines
  The LIBSVM library is used to calculate Support Vector Machine optimizations
  with a great variety of powerful options.  It includes one-class, two-class,
@@ -21,17 +28,23 @@
 
 Package: libsvm-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gnuplot
+Depends: 
+	${shlibs:Depends}, 
+	${misc:Depends}, 
+	${python:Depends}, 
+	gnuplot
 Description: LIBSVM binary tools
  LIBSVM is an easy-to-use package for support vector classification,
  regression and one-class SVM. It supports multi-class classification,
  probability outputs, and parameter selection.
- LIBSVM homepage: http://www.csie.ntu.edu.tw/~cjlin/libsvm
 
 Package: libsvm-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsvm3 (=${binary:Version})
+Depends: 
+	${shlibs:Depends}, 
+	${misc:Depends}, 
+	libsvm3 (=${binary:Version})
 Description: LIBSVM header files
  LIBSVM, a machine-learning library, is an easy-to-use package for 
  support vector classification, regression and one-class SVM. It 
@@ -41,9 +54,14 @@
  This package contains the development header files.
 
 Package: python-libsvm
-Architecture: any
+Architecture: all
 Section: python
-Depends: libsvm3(=${binary:Version}), ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: 
+	libsvm3(>=${binary:Version}), 
+	libsvm3(<<${binary:Version}.1~), 
+	${python:Depends}, 
+	${misc:Depends}, 
+	${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python interface for support vector machine library
  Python interface for the LIBSVM library using ctypes. This new Python 
@@ -64,7 +82,9 @@
 Package: libsvm-java
 Architecture: all
 Section: java
-Depends: libsvm3-java, ${misc:Depends}
+Depends: 
+	libsvm3-java, 
+	${misc:Depends}
 Description: Java API to support vector machine library (libsvm.jar)
  The functionality of the libsvm are offered in a single jar file. It includes 
  one-class, two-class, multiclass, regression-mode, and probablistic output

=== debian/watch ===
version=3

opts = "dversionmangle=s/\+ds//" \
http://www.csie.ntu.edu.tw/~cjlin/libsvm/oldfiles/libsvm-(.*)\.tar\.gz

## libsvm 3.24%2Bds

=== java/Makefile ===
.SUFFIXES: .class .java
FILES = libsvm/svm.class libsvm/svm_model.class libsvm/svm_node.class \
		libsvm/svm_parameter.class libsvm/svm_problem.class \
		libsvm/svm_print_interface.class \
		svm_train.class svm_predict.class svm_toy.class svm_scale.class

#JAVAC = jikes
JAVAC_FLAGS = -target 1.7 -source 1.7
JAVAC = javac
# JAVAC_FLAGS =
export CLASSPATH := .:$(CLASSPATH)

all: $(FILES)
	jar cvf libsvm.jar *.class libsvm/*.class

.java.class:
	$(JAVAC) $(JAVAC_FLAGS) $<

libsvm/svm.java: libsvm/svm.m4
	m4 libsvm/svm.m4 > libsvm/svm.java

clean:
	rm -f libsvm/*.class *.class *.jar libsvm/*~ *~ libsvm/svm.java

dist: clean all
	rm *.class libsvm/*.class

=== debian/changelog ===
libsvm (3.24+ds-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:53 +0100

libsvm (3.24+ds-3) unstable; urgency=medium

  * autopktest: Fix package name svm-tools -> libsvm-tools. (Closes: #950317)
  * Fix FTBFS on arch:all because of missing JAR.
    This was caused by recent changes to the build process.
  * Mark libsvm3-java as Multi-Arch: foreign
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Fri, 31 Jan 2020 23:33:23 +0100

libsvm (3.24+ds-2) unstable; urgency=medium

  * Set shebang when installing tools/. Really (Closes: #936924)

 -- Christian Kastner <ckk@debian.org>  Mon, 20 Jan 2020 08:36:36 +0100

libsvm (3.24+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Move to Debian Science Team maintenance

  [ Chen-Tse Tsai ]
  * Acknowledge NMUs. Thanks, Olly Betts and Adrian Bunk!
  * Drop dependency on cdbs. Use dh instead.
  * Drop Python2 package. Create Python3 package (Closes: #936924)
  * Add patch build-libraries.patch to simplify proper shared library building.
  * Bump debhelper compatibility level to 12.
  * Let dh_install install from debian/tmp, instead of source.
  * Add lintian overrides for no-upstream-changelog.
  * Include man pages in libsvm-tools package.
  * Drop obsolete dpkg trigger.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #862234)
    + Move default-jdk to Build-Depends-Indep
    + Annotate python-all dependency with :native
    + Use a triplet-prefixed CXX

  [ Andreas Tille ]
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 2.91-1.
  * Use Files-Excluded to exclude Windows binaries

  [ Christian Kastner ]
  * Add symbols file based on version 3.21
  * Set Rules-Requires-Root to no to declare that libsvm does not need
    (fake)root for building its debs
  * Also install tools svm-checkdata, svm-easy, svm-grid, svm-subset
  * Add autopkgtest smoke-test for the executables
  * Add myself to Uploaders
  * Use secure URI in d/watch
  * Add Comment to d/copyright documenting the precompiled binaries removal
  * Bump copyrights
  * Add lintian override for
    possible-documentation-but-no-doc-base-registration

 -- Christian Kastner <ckk@debian.org>  Fri, 10 Jan 2020 22:15:03 +0100

libsvm (3.21+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump -target/-source to fix FTBFS with Java >= 9,
    thanks to Emmanuel Bourg. (Closes: #893291)

 -- Adrian Bunk <bunk@debian.org>  Sun, 23 Sep 2018 08:39:25 +0300

## libsvm 3.24+ds

=== debian/changelog ===
libsvm (3.24+ds-6.1) unstable; urgency=medium

  [ Anibal Monsalve Salazar ]
  * Non-maintainer upload

  [ Vladimir Petko ]
  * d/control: add java-common to Build-Depends to resolve build
    failure on platforms other than amd64.
    d/rules, d/target-source.patch: use java_compat_level variable
    provided by java-common to adjust -source/-target level to the
    minimum required by the default Java (LP: #2054242).
    Closes: #1057522

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Feb 2024 16:33:36 +1300

libsvm (3.24+ds-6) unstable; urgency=medium

  * d/test/control: Add python3-all to python-simple's Depends:
    (Closes: #972533)
  * d/control: Add myself to Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 08:22:16 +1300

libsvm (3.24+ds-5) unstable; urgency=medium

  * Set Multi-Arch: same for libsvm3, libsvm-dev; foreign for libsvm-java
  * Add optional symbols seen with newer toolchain
  * Add lintian-overrides for libsvm-java

 -- Christian Kastner <ckk@debian.org>  Sun, 13 Sep 2020 20:52:29 +0200

libsvm (3.24+ds-4) unstable; urgency=medium

  * Add autopkgtest for Python package
  * Add patch Merge-commonutil.py-into-svmutil.py.patch (Closes: #958114)
    - Add python3-libsvm.README.Debian documenting the merge

 -- Christian Kastner <ckk@debian.org>  Sat, 02 May 2020 10:12:38 +0200

=== debian/control ===
Source: libsvm
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
    Chen-Tse Tsai <ctse.tsai@gmail.com>,
    Christian Kastner <ckk@debian.org>,
    Michael Hudson-Doyle <mwhudson@debian.org>
Build-Depends:
	debhelper-compat (= 12),
	libtool,
	python3-all:native,
	dh-python,
	java-common,
Build-Depends-Indep:
	default-jdk
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/libsvm
Vcs-Git: https://salsa.debian.org/science-team/libsvm.git
Homepage: https://www.csie.ntu.edu.tw/~cjlin/libsvm/

Package: libsvm3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
	${shlibs:Depends},
	${misc:Depends}
Description: library implementing support vector machines
 The LIBSVM library is used to calculate Support Vector Machine optimizations
 with a great variety of powerful options.  It includes one-class, two-class,
 multiclass, regression-mode, and probablistic output functionality.  It is
 primarily of interest to machine-learning researchers and artificial
 intelligence application developers.

Package: libsvm-tools
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python3:Depends},
	gnuplot,
	libsvm3 (=${binary:Version})
Description: LIBSVM binary tools
 LIBSVM is an easy-to-use package for support vector classification,
 regression and one-class SVM. It supports multi-class classification,
 probability outputs, and parameter selection.

Package: libsvm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libsvm3 (=${binary:Version})
Description: LIBSVM header files
 LIBSVM, a machine-learning library, is an easy-to-use package for
 support vector classification, regression and one-class SVM. It
 supports multi-class classification, probability outputs, and
 parameter selection.
 .
 This package contains the development header files.

Package: python3-libsvm
Architecture: all
Section: python
Depends:
	libsvm3(>=${binary:Version}),
	libsvm3(<<${binary:Version}.1~),
	${python3:Depends},
	${misc:Depends},
	${shlibs:Depends}
Description: Python interface for support vector machine library
 Python interface for the LIBSVM library using ctypes. This new Python
 interface is provided since 2.91, and it is incompatible with the old
 one.

Package: libsvm3-java
Architecture: all
Multi-Arch: foreign
Section: java
Depends: ${misc:Depends}
Conflicts: libsvm2-java
Suggests: java-virtual-machine
Description: Java API to support vector machine library (libsvm3.jar)
 The functionality of the libsvm are offered in a single jar file. It includes
 one-class, two-class, multiclass, regression-mode, and probablistic output
 functionality.

Package: libsvm-java
Architecture: all
Multi-Arch: foreign
Section: java
Depends:
	libsvm3-java,
	${misc:Depends}
Description: Java API to support vector machine library (libsvm.jar)
 The functionality of the libsvm are offered in a single jar file. It includes
 one-class, two-class, multiclass, regression-mode, and probablistic output
 functionality.
 .
 This package solely provides a symbolic link from libsvm.jar libsvm3.jar.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/java/java_defaults.mk

# For DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

# Needed for our Makefile customizations
DMAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -rne 's/([0-9])\.[0-9][0-9].*/\1/p')
DMINOR := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -rne 's/[0-9]\.([0-9])[0-9].*/\1/p')
DPATCH := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -rne 's/[0-9]\.[0-9]([0-9]).*/\1/p')

# Replicate upstream's naming convention... (see d/watch)
ifeq ($(DPATCH),0)
    UPVER := $(DMAJOR).$(DMINOR)
else
    UPVER := $(DMAJOR).$(DMINOR)$(DPATCH)
endif
export UPVER DEBVER DMAJOR DMINOR DPATCH

export DEB_BUILD_MAINT_OPTIONS += hardening=+all
export DEB_CFLAGS_MAINT_APPEND += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifeq (amd64,$(DEB_HOST_ARCH))
    DEB_CFLAGS_MAINT_APPEND += -msse
endif
endif

include /usr/share/dpkg/architecture.mk

ifeq ($(origin CXX),default)
CXX = $(DEB_HOST_GNU_TYPE)-g++
endif

%:
	dh $@ $(DH_ADDONS)
build binary %-indep: DH_ADDONS=--with=python3

override_dh_auto_build-arch:
	dh_auto_build -a
	cp tools/checkdata.py tools/svm-checkdata
	cp tools/easy.py tools/svm-easy
	cp tools/grid.py tools/svm-grid
	cp tools/subset.py tools/svm-subset
	sed -i 's/..\/svm-train/\/usr\/bin\/svm-train/g' tools/svm-*
	sed -i 's/..\/svm-predict/\/usr\/bin\/svm-predict/g' tools/svm-*
	sed -i 's/..\/svm-scale/\/usr\/bin\/svm-scale/g' tools/svm-*
	sed -i 's/.\/grid.py/\/usr\/bin\/svm-grid/g' tools/svm-easy
	sed -i 's/"get no rate"/RuntimeError("get no rate")/g' tools/svm-grid

override_dh_auto_build-indep:
	dh_auto_build -i
	$(MAKE) JAVA_COMPAT_LEVEL=$(java_compat_level) -C java

override_dh_auto_install:
	dh_auto_install -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_python3:
	dh_python3 --shebang='/usr/bin/env python3'

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm -rf tools/svm-* libsvm.so* libsvm.a
	$(MAKE) -C java clean

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
   https://www.csie.ntu.edu.tw/~cjlin/libsvm/oldfiles/libsvm-(.*)\.tar\.gz

## libsvm 3.25+ds

=== debian/changelog ===
libsvm (3.25+ds-1~exp1.1) experimental; urgency=medium

  * d/rules, d/target-source.patch: use java_compat_level variable
    provided by java-common to adjust -source/-target level to the
    minimum required by the default Java (Closes: #1057522).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 30 Jan 2024 15:37:10 +1300

libsvm (3.25+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
    - The Python modules svm, svmutil have been moved into a package libsvm.
  * Drop Merge-commonutil.py-into-svmutil.py.patch.
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add NEWS file for python3-libsvm
  * Remove obsolete lintian-override

 -- Christian Kastner <ckk@debian.org>  Mon, 07 Mar 2022 23:16:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
-    Chen-Tse Tsai <ctse.tsai@gmail.com>,
-    Christian Kastner <ckk@debian.org>,
-    Michael Hudson-Doyle <mwhudson@debian.org>
-Build-Depends:
-	debhelper-compat (= 12),
-	libtool,
-	python3-all:native,
-	dh-python,
-	java-common,
-Build-Depends-Indep:
-	default-jdk
+Uploaders: Chen-Tse Tsai <ctse.tsai@gmail.com>,
+           Christian Kastner <ckk@debian.org>,
+           Michael Hudson-Doyle <mwhudson@debian.org>,
+Build-Depends: debhelper-compat (= 13), dh-python, libtool, python3-all:native, java-common
+Build-Depends-Indep: default-jdk
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/libsvm
 Vcs-Git: https://salsa.debian.org/science-team/libsvm.git
 Homepage: https://www.csie.ntu.edu.tw/~cjlin/libsvm/
@@ -24,9 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
-	${shlibs:Depends},
-	${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library implementing support vector machines
  The LIBSVM library is used to calculate Support Vector Machine optimizations
  with a great variety of powerful options.  It includes one-class, two-class,
@@ -36,12 +27,11 @@
 
 Package: libsvm-tools
 Architecture: any
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	${python3:Depends},
-	gnuplot,
-	libsvm3 (=${binary:Version})
+Depends: gnuplot,
+         libsvm3 (=${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: LIBSVM binary tools
  LIBSVM is an easy-to-use package for support vector classification,
  regression and one-class SVM. It supports multi-class classification,
@@ -51,10 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	libsvm3 (=${binary:Version})
+Depends: libsvm3 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: LIBSVM header files
  LIBSVM, a machine-learning library, is an easy-to-use package for
  support vector classification, regression and one-class SVM. It
@@ -66,12 +53,11 @@
 Package: python3-libsvm
 Architecture: all
 Section: python
-Depends:
-	libsvm3(>=${binary:Version}),
-	libsvm3(<<${binary:Version}.1~),
-	${python3:Depends},
-	${misc:Depends},
-	${shlibs:Depends}
+Depends: libsvm3(<<${binary:Version}.1~),
+         libsvm3(>=${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
 Description: Python interface for support vector machine library
  Python interface for the LIBSVM library using ctypes. This new Python
  interface is provided since 2.91, and it is incompatible with the old
@@ -93,9 +79,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: java
-Depends:
-	libsvm3-java,
-	${misc:Depends}
+Depends: libsvm3-java, ${misc:Depends}
 Description: Java API to support vector machine library (libsvm.jar)
  The functionality of the libsvm are offered in a single jar file. It includes
  one-class, two-class, multiclass, regression-mode, and probablistic output

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 include /usr/share/java/java_defaults.mk
 
 # For DEB_VERSION_UPSTREAM
@@ -62,9 +63,6 @@
 override_dh_python3:
 	dh_python3 --shebang='/usr/bin/env python3'
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_clean:
 	dh_clean
 	rm -rf tools/svm-* libsvm.so* libsvm.a

=== debian/tests/control ===
Tests: executables
Depends: libsvm-tools

Tests: python3-simple
Depends: python3-all, python3-libsvm
